using System.Collections.Generic;

namespace OnlineAssessment.Common
{

    public class ReturnStatus
    {
        public string Code { get; set; }
        public IEnumerable<string> Message { get; set; }

        public ReturnStatus(string code, string messsage)
        {
            List<string> messageList = new List<string>();
            messageList.Add(messsage);

            this.Code = code;
            this.Message = messageList;
        }

        public ReturnStatus(string code, IEnumerable<string> messsageList)
        {
            this.Code = code;
            this.Message = messsageList;
        }

        //public ReturnStatus(string code, List<string> messsages)
        //{
        //    this.Code = code;
        //    this.Message = messsages;
        //}

        public ReturnStatus()
        {
        }
    }
}
